
####  ####

# random forest
# Land count
Random_Count <- randomForest(Count ~ mm + Dis + Type + Landskap + TypeLandskap, data = myDatalong)
summary(Random_Count)
# Get variable importance
importance(Random_Count)
varImpPlot(Random_Count)


# kruskal-wallis test
kruskal_test_dis <- kruskal.test(Count ~ Dis, data = myDatalong)
kruskal_test_mm <- kruskal.test(Count ~ mm, data = myDatalong)
kruskal_test_Type <- kruskal.test(Count ~ Type, data = myDatalong)
kruskal_test_Landskap <- kruskal.test(Count ~ Landskap, data = myDatalong)
kruskal_test_TypeLandskap <- kruskal.test(Count ~ TypeLandskap, data = myDatalong)
kruskal_test_dis_group <- kruskal.test(Count ~ Dis_Group, data = myDatalong)

# p-values
p_value_dis <- kruskal_test_dis$p.value
p_value_mm <- kruskal_test_mm$p.value
p_value_Type <- kruskal_test_Type$p.value
p_value_Landskap <- kruskal_test_Landskap$p.value
p_value_TypeLandskap <- kruskal_test_TypeLandskap$p.value
p_value_dis_group <- kruskal_test_dis_group$p.value

# Data frame p-values
df_p_values <- data.frame(
  Test = c("Dis", "mm", "Type", "Landskap", "TypeLandskap", "Dis_Group"),
  P_Value = c(p_value_dis, p_value_mm, p_value_Type, p_value_Landskap, p_value_TypeLandskap, p_value_dis_group)
)

# Print df p-values
print(df_p_values)
