#### kruskal-wallis test count v groups ####
kruskal_test_dis <- kruskal.test(Count ~ Dis, data = myDatalong)
kruskal_test_mm <- kruskal.test(Count ~ mm, data = myDatalong)
kruskal_test_Type <- kruskal.test(Count ~ Type, data = myDatalong)
kruskal_test_Landskap <- kruskal.test(Count ~ Landskap, data = myDatalong)
kruskal_test_TypeLandskap <- kruskal.test(Count ~ TypeLandskap, data = myDatalong)
kruskal_test_dis_group <- kruskal.test(Count ~ Dis_Group, data = myDatalong)

# p-values count v groups
p_value_dis <- kruskal_test_dis$p.value
p_value_mm <- kruskal_test_mm$p.value
p_value_Type <- kruskal_test_Type$p.value
p_value_Landskap <- kruskal_test_Landskap$p.value
p_value_TypeLandskap <- kruskal_test_TypeLandskap$p.value
p_value_dis_group <- kruskal_test_dis_group$p.value

# Data frame p-values counts v groups
df_p_values <- data.frame(
  Test = c("Dis", "mm", "Type", "Landskap", "TypeLandskap", "Dis_Group"),
  P_Value = c(p_value_dis, p_value_mm, p_value_Type, p_value_Landskap, p_value_TypeLandskap, p_value_dis_group)
)
df_p_values$Significance <- ifelse(df_p_values$P_Value < 0.05, "Significant", "Not Significant")
# Print df p-values
print(df_p_values)
write.csv(df_p_values, "C:/Users/Fredr/OneDrive - USN/Master oppgave/Master R-stats/Kruskal_Wallis.csv", row.names=FALSE)



##### vs location####
# Filter the data frame to include only variables that start with "L"
mydatalong_filtered_L <- myDatalong %>%
  filter(str_detect(Type, "^Land"))
mydatalong_filtered_E <- myDatalong %>%
  filter(str_detect(Type, "^Elv"))
kruskal_test_Loc_L <- kruskal.test(Count ~ Sted, data = mydatalong_filtered_L)
kruskal_test_Loc_E <- kruskal.test(Count ~ Sted, data = mydatalong_filtered_E)
print(kruskal_test_Loc_L)
print(kruskal_test_Loc_E)
#### kruskal-wallis test size v groups ####

kruskal_test_mm.Type <- kruskal.test(mm ~ Type, data = mm)
kruskal_test_mm.Landskap <- kruskal.test(mm ~ Landskap, data = mm)
kruskal_test_mm.TypeLandskap <- kruskal.test(mm ~ Combined, data = mm)
Kruskal_test_mm.Sted = kruskal.test(mm ~ L, data = mm)
p_value_mm.Type <- kruskal_test_mm.Type$p.value
p_value_mm.Landskap <- kruskal_test_mm.Landskap$p.value
p_value_mm.TypeLandskap <- kruskal_test_mm.TypeLandskap$p.value
p_value_mm.Sted = Kruskal_test_mm.Sted$p.value

# Data frame p-values counts v groups
mm_p_values <- data.frame(
  Test = c("Type", "Landskap", "TypeLandskap", "Sted"),
  P_Value = c(p_value_mm.Type, p_value_mm.Landskap, p_value_mm.TypeLandskap, p_value_mm.Sted)
)
mm_p_values$Significance <- ifelse(mm_p_values$P_Value < 0.05, "Significant", "Not Significant")
# Print df p-values
print(mm_p_values)

write.csv(mm_p_values, "C:/Users/Fredr/OneDrive - USN/Master oppgave/Master R-stats/mm_kruskal_wallis.csv", row.names=FALSE)


# Perform the Dunn test
dunn_mm.landskap <- dunnTest(mm ~ Landskap, data = mm, method = "bonferroni")
dunn_mm.type <- dunnTest(mm ~ Type, data = mm, method = "bonferroni") 
dunn_mm.typeLandskap <- dunnTest(mm ~ Combined, data = mm, method = "bonferroni") 
dunn_mm.sted <- dunnTest(mm ~ L, data = mm, method = "bonferroni") 



# Extract information from each Dunn test result
landskap_results <- data.frame(
  Comparison = dunn_mm.landskap$res$Comparison,
  Z = dunn_mm.landskap$res$Z,
  P.unadj = dunn_mm.landskap$res$P.unadj,
  P.adj = dunn_mm.landskap$res$P.adj
)

type_results <- data.frame(
  Comparison = dunn_mm.type$res$Comparison,
  Z = dunn_mm.type$res$Z,
  P.unadj = dunn_mm.type$res$P.unadj,
  P.adj = dunn_mm.type$res$P.adj
)

typeLandskap_results <- data.frame(
  Comparison = dunn_mm.typeLandskap$res$Comparison,
  Z = dunn_mm.typeLandskap$res$Z,
  P.unadj = dunn_mm.typeLandskap$res$P.unadj,
  P.adj = dunn_mm.typeLandskap$res$P.adj
)

Sted_results <- data.frame(
  Comparison = dunn_mm.sted$res$Comparison,
  Z = dunn_mm.sted$res$Z,
  P.unadj = dunn_mm.sted$res$P.unadj,
  P.adj = dunn_mm.sted$res$P.adj
)
# Combine all results into a single dataframe
combined_results <- rbind(landskap_results, type_results, typeLandskap_results, Sted_results)


# Assuming combined_results is your dataframe
combined_results$Signifikant_Større <- ifelse(combined_results$Z > 0 & combined_results$P.adj < 0.05, "Gruppe 1",
                                       ifelse(combined_results$Z < 0 & combined_results$P.adj < 0.05, "Gruppe 2",
                                              "ingen signifikant forskjell"))

print(combined_results)


write.csv(combined_results, "C:/Users/Fredr/OneDrive - USN/Master oppgave/Master R-stats/Post_Hoc_dunn_test.csv", row.names=FALSE)

combined_results_filtered <- subset(combined_results, Signifikant_Større != "ingen signifikant forskjell")
print(combined_results_filtered)




kruskal_test_mm_Land <- kruskal.test(mm ~ L, data = mm_filtered_L)
Kruskal_test_mm_Elv = kruskal.test(mm ~ L, data = mm_filtered_E)

p_value_mm_land <- kruskal_test_mm_Land$p.value
p_value_mm.Elv = Kruskal_test_mm_Elv$p.value

print(p_value_mm.Elv)
print(p_value_mm_land)

dunn_mm_Land<- dunnTest(mm ~ L, data = mm_filtered_L, method = "bonferroni")
dunn_mm_Elv <- dunnTest(mm ~ L, data = mm_filtered_E, method = "bonferroni") 

Land_results <- data.frame(
  Comparison = dunn_mm_Land$res$Comparison,
  Z = dunn_mm_Land$res$Z,
  P.unadj = dunn_mm_Land$res$P.unadj,
  P.adj = dunn_mm_Land$res$P.adj
)

Elv_results <- data.frame(
  Comparison = dunn_mm_Elv$res$Comparison,
  Z = dunn_mm_Elv$res$Z,
  P.unadj = dunn_mm_Elv$res$P.unadj,
  P.adj = dunn_mm_Elv$res$P.adj
)
# Combine all results into a single dataframe
E_L_results <- rbind(Land_results, Elv_results)

print(E_L_results)

E_L_results_significant <- E_L_results %>% remove_ns(col = "P.adj")
print(E_L_results_significant)
write.csv(E_L_results_significant, "C:/Users/Fredr/OneDrive - USN/Master oppgave/Master R-stats/Post_Hoc_dunn_test_steder.csv", row.names=FALSE)

