# Random forest testing
# Land count
Random_Count <- randomForest(mm ~ Count + Dis + Type + Landskap + TypeLandskap, data = myDatalong)
#summary(Random_Count)
# Get variable importance
importance(Random_Count)
varImpPlot(Random_Count)

cor.test(myData$Land, myData$River, method = "spearman", exact = FALSE)
ggplot(myData, aes(x = River, y = Land)) +
  geom_point() +
  geom_smooth(method = 'lm', se = FALSE, color = "blue", linetype = "dashed")

Data_SP = myData
colnames(Data_SP)[1] <- "Punkt"
colnames(Data_SP)[2] <- "Antall Land"
colnames(Data_SP)[3] <- "Antall Elv"
colnames(Data_SP)[7] <- "Land (mm^2)"
colnames(Data_SP)[8] <- "Elv (mm^2)"









numerical_data <- Data_SP[sapply(Data_SP, is.numeric)]
numerical_data <- numerical_data[, !(names(numerical_data) %in% c("Land_A", "River_A", "Punkt", "Diff"))]
cor_matrix <- cor(numerical_data, method = "spearman", use = "everything")
corrplot(cor_matrix, method = "square", type = "lower", addCoef.col = "black", main = "Correlation plot", mar = c(0,0,2,0))

cor_set <- rcorr(as.matrix(numerical_data), type = "spearman")

# Extract the correlation matrix and p-values
cor_matrix <- cor_set$r
p_values <- cor_set$P
diag(p_values) <- 0



corrplot(cor_matrix, method = "square", type = "lower", addCoef.col = "black", 
         main = "Spearman korrelasjon", mar = c(0,0,2,0), 
         p.mat = p_values, sig.level = 0.05, insig = "pch", pch = 4, diag = FALSE)




test <- cor.test(myData$Land, myData$LA_mm, method = "spearman")
print(test)


write.csv(cor_matrix, "C:/Users/Fredr/OneDrive - USN/Master oppgave/Master R-stats/Korrelasjon.csv", row.names=FALSE)
write.csv(p_values, "C:/Users/Fredr/OneDrive - USN/Master oppgave/Master R-stats/Korr-pvalues.csv", row.names=FALSE)








# Select numerical data
numerical_data <- merged_df[sapply(merged_df, is.numeric)]

# Exclude unwanted columns
numerical_data <- numerical_data[, !(names(numerical_data) %in% c("Diff"))]

# Calculate correlation matrix and p-values
cor_set <- rcorr(as.matrix(numerical_data), type = "spearman")

# Extract the correlation matrix and p-values
cor_matrix <- cor_set$r
p_values <- cor_set$P
diag(p_values) <- 0

# Visualize correlation matrix with p-values
corrplot(cor_matrix, method = "square", type = "lower", addCoef.col = "black", 
         main = "Correlation plot", mar = c(0,0,2,0), 
         p.mat = p_values, sig.level = 0.05, insig = "p-value", pch = 7, pch.cex = 10)



